package maze_prototype;

class EnchantedMazeFactory extends MazePrototypeFactory {
  EnchantedMazeFactory(Maze m, Wall w, Room r, Door d) {
    super(m, w, r, d);
  }
  
  public Room makeRoom(){ return new EnchantedRoom(new Spell()); }
  public Door makeDoor(Room r1, Room r2){ return new DoorNeedingSpell(r1,r2); }
}
