package maze_prototype;

public class MainEnchanted {
  public static void main(String[] args){
    MazeGame game = new MazeGame();
  
    Maze mazeProto = new Maze();
    Wall wallProto = new Wall();
    Room roomProto = new EnchantedRoom(new Spell());
    Door doorProto = new DoorNeedingSpell(roomProto,roomProto);
    
    MazeFactory factory = 
      new EnchantedMazeFactory(mazeProto, wallProto,
                               roomProto, doorProto);
 
    game.createMaze(factory); 
  }
}