package maze_abstract_factory;

class EnchantedMazeFactory extends MazeFactory {
  public Room makeRoom() {
    return new EnchantedRoom(castSpell());
  }

  public Door makeDoor(Room r1, Room r2) {
    return new DoorNeedingSpell(r1, r2);
  }

  protected static Spell castSpell() {
    return new Spell();
  }
}
