package maze_prototype;

public class Main {
  public static void main(String[] args){
    MazeGame game = new MazeGame();
  
    Maze mazeProto = new Maze();
    Wall wallProto = new Wall();
    Room roomProto = new Room();
    Door doorProto = new Door(roomProto,roomProto);
    
    MazeFactory factory = 
      new MazePrototypeFactory(mazeProto, wallProto,
                               roomProto, doorProto);
 
    game.createMaze(factory); 
  }
}